Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1198618 - Refactor volume creation for tiering
Summary: Refactor volume creation for tiering
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: GlusterFS
Classification: Community
Component: tiering
Version: mainline
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
Assignee: Dan Lambright
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: glusterfs-3.7.1 1260923
TreeView+ depends on / blocked
 
Reported: 2015-03-04 14:15 UTC by Dan Lambright
Modified: 2015-12-01 16:45 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-09 18:58:00 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Dan Lambright 2015-03-04 14:15:09 UTC
Description of problem:

Tiering volume creation needs to be refactored to be more like existing similar code.

We wish to form a graph that has two (sub) volumes that can be independently constructed and finally merged with tiering xlator at the root of the final graph. This is analogous to how NFS forms a graph containing separate graphs for each volume in the cluster and merges it with NFS server xlator at the root.

Comment 1 Dan Lambright 2015-03-19 23:54:20 UTC
1. tier stop and tier status commands
2. default values for tier options
3. gluster op version < 3.7 should not write info file? If nodes are of different versions.
4. GF_CLUSTER_TYPE_MULTIPLE

Comment 2 Anand Avati 2015-03-27 22:37:31 UTC
REVIEW: http://review.gluster.org/10029 (glusterd: Fix glusterd problems found prior to feature freeze.) posted (#1) for review on master by Dan Lambright (dlambrig@redhat.com)

Comment 3 Vivek Agarwal 2015-04-20 12:34:42 UTC
This is for future


Note You need to log in before you can comment on or make changes to this bug.